<?php
class ExcelController extends Easy_Controller_Action {
	public function indexAction(){
		if (strtolower($license['version']) == 'free' || $_SERVER['HTTP_HOST'] == '127.0.0.1'){
			if ($this->_Request->getPost('num')>10){
				$this->_View->message = _('非商业版本无法此项功能!');
				exit($this->_View->render('message'));
			}
		}
		$sql = urldecode(base64_decode($this->_Request->getParam('export')));
		$excel = new Excel();
		$excel->export($sql);
		exit;
	}
}
?>